GetbeelDocs

A fixed asset with its schedule

GET
/fixed-assets/{id}

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Path Parameters

id*string

Query Parameters

year?integer

Status, fondo and residual at the end of this year

Range2000 <= value <= 2100

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
id*string
object*string
name*string
kind*string
Value in"tangible""intangible"
category_code*string|null
category_label*string
category_note*string|null
coefficient*number
cost*string

Decimal amount as a string

Match^-?\d+\.\d{2}$
purchase_date*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate
in_service_date*|null
first_year_half*boolean
expense_in_full*boolean
small_asset*boolean

Tangible with cost up to 516.46: may be deducted in full

depreciation_overrides*
received_invoice_id*string|null
supplier_name*string|null
document_number*string|null
notes*string|null
status*string
Value in"not_in_service""depreciating""fully_depreciated""disposed"
as_of_year*integer
Range-9007199254740991 <= value <= 9007199254740991
accumulated_depreciation*string

Decimal amount as a string

Match^-?\d+\.\d{2}$
residual_value*string

Decimal amount as a string

Match^-?\d+\.\d{2}$
schedule*array<>
disposal*|null
warnings*array<string>
created_at*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
updated_at*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/fixed-assets/string'
Example Response
{  "id": "string",  "object": "fixed_asset",  "name": "string",  "kind": "tangible",  "category_code": "string",  "category_label": "string",  "category_note": "string",  "coefficient": 0,  "cost": "122.00",  "purchase_date": "2026-10-29",  "in_service_date": "2026-10-29",  "first_year_half": true,  "expense_in_full": true,  "small_asset": true,  "depreciation_overrides": {    "property1": "122.00",    "property2": "122.00"  },  "received_invoice_id": "string",  "supplier_name": "string",  "document_number": "string",  "notes": "string",  "status": "not_in_service",  "as_of_year": -9007199254740991,  "accumulated_depreciation": "122.00",  "residual_value": "122.00",  "schedule": [    {      "year": -9007199254740991,      "max_amount": "122.00",      "amount": "122.00",      "accumulated": "122.00",      "residual": "122.00",      "kind": "depreciation",      "overridden": true    }  ],  "disposal": {    "date": "2026-10-29",    "price": "122.00",    "residual": "122.00",    "gain": "122.00"  },  "warnings": [    "string"  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}